Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.ejb.support
Class AbstractJmsMessageDrivenBean

    java.lang.Object
      org.springframework.ejb.support.AbstractEnterpriseBean
          org.springframework.ejb.support.AbstractMessageDrivenBean
              org.springframework.ejb.support.AbstractJmsMessageDrivenBean

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.MessageDrivenBean, javax.jms.MessageListener

    public abstract class AbstractJmsMessageDrivenBean

extends AbstractMessageDrivenBean
implements javax.jms.MessageListener

Convenient base class for JMS-based EJB 2.x MDBs. Requires subclasses to implement the JMS `javax.jms.MessageListener` interface.

Author:
  Rod Johnson
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.ejb.support.AbstractMessageDrivenBean
`logger`

Fields inherited from class org.springframework.ejb.support.AbstractEnterpriseBean
`BEAN_FACTORY_PATH_ENVIRONMENT_KEY`

Constructor Summary
`AbstractJmsMessageDrivenBean()`

Method Summary

Methods inherited from class org.springframework.ejb.support.AbstractMessageDrivenBean
`ejbCreate, getMessageDrivenContext, onEjbCreate, setMessageDrivenContext`

Methods inherited from class org.springframework.ejb.support.AbstractEnterpriseBean
`ejbRemove, getBeanFactory, onEjbRemove, setBeanFactoryLocator, setBeanFactoryLocatorKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jms.MessageListener
`onMessage`

Methods inherited from interface javax.ejb.MessageDrivenBean
`ejbRemove`

Constructor Detail

### AbstractJmsMessageDrivenBean

    public AbstractJmsMessageDrivenBean()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD